Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
SendCloud Portal
Sitecore Send API documentation
  • Introduction to the Sitecore Send API
        • Get all active mailing lists
        • Get mailing list details
        • Get all active mailing lists with paging
        • Create a mailing list
        • Update a mailing list
        • Delete a mailing list
        • Create a custom field
        • Update a custom field
        • Remove a custom field
  1. Mailing lists
  1. API reference
  2. Mailing lists
  3. Create a custom field

Create a custom field

POST /lists/{MailingListID}/customfields/create.{Format}

Creates a new custom field in a specific email list.

Request

ParameterInTypeRequiredDescription
AcceptheaderstringtrueDetermines the expected format and data type to retrieve the response data.Value: application/json
MailingListIDpathstringtrueThe ID of the email list where the custom field is created.
FormatpathstringtrueThe supported file format for getting a response.Possible values: json and xml.
apikeyquerystringtrueThe API key of your account.
NamebodystringtrueThe name of the custom field.
CustomFieldTypebodystringfalseSpecifies the data type of the custom field. This must be one of the following values.Text (Default) - accepts any text value as input.Number - accepts only numeric values as input.DateTime - accepts only date values as input, with or without time.SingleSelectDropdown - accepts only values explicitly defined in a list.CheckBox - accepts only values of true or false.
OptionsbodystringfalseIf you want to create a SingleSelectDropdown custom field, you must set this parameter to specify the available options for the user to choose from. Use a comma (,) to separate different options.
IsRequiredbodyBooleanfalseSpecifies whether the custom field is mandatory or not when adding a subscriber to your list. You must specify a value of true or false (Default).
IsHiddenbodyBooleanfalseSpecifies whether the custom field is visible to your subscribers in the Update Profile page. You must specify a value of true or false (Default).
http
POST https://{hostname}/v3/lists/{MailingListID}/customfields/create.{Format}?apikey=

Request body:
{
  "Name": "Town",
  "CustomFieldType": "SingleSelectDropdown",
  "Options": "Athens,London,New York"
}
curl
curl --include \\
     --request POST \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
     --data-raw '{
    "Name": "Town",
    "CustomFieldType": "SingleSelectDropdown",
    "Options": "Athens,London,New York"
}' \\
'https://{hostname}/v3/lists/{MailingListID}/customfields/create.{Format}?apikey='

Response

StatusDescriptionHeadersSchema
200 OKThe request is successful.Content-Type
/json
N/A
json
{
  "Code": 0,
  "Error": null,
  "Context": "b42b4e0f-ca2f-403d-8231-32a2405651af"
}
  • Code - the response code. This is 0 if successful.

  • Error - the response error message. This is null if successful.

  • Context - the ID of the custom field created.

If you have suggestions for improving this article, let us know!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use